Draft Offset/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "# Selectați obiectele pe care doriți să le compensați # Apăsați butonul {{KEY|16px Draft Offset}} sau apăsați tasta {{KEY|O}} urmată a...")
(Created page with "== Opţiuni ==")
Line 14: Line 14:
# Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.
# Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.


==Options==
== Opţiuni ==


* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.

Revision as of 07:53, 13 November 2018

Draft Offset

poziția meniului
Draft → Offset
Ateliere
Draft, Arch
scurtătură
O S
Prezentat în versiune
-
A se vedea, de asemenea,
Part 2D Offset

Descriere

Instrumentul Decalare deplasează obiectele selectate la o o distanță dată față de durentul paln work plane. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

Cum se folosește

  1. Selectați obiectele pe care doriți să le compensați
  2. Apăsați butonul Draft Offset sau apăsați tasta O urmată apoi de tasta S
  3. Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.

Opţiuni

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))